#include <typeinfo>

#include <Eigen/Core>

using namespace Eigen;

int main()
{
  MatrixXd P = MatrixXd::Random(2048,2048);
  const double sum = 1.0 / ( (P.transpose() * P).diagonal().array().abs().sum());
  std::cout << sum << std::endl;  
}
